# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rezon-cli"
version = "0.1.2"
description = "Deploy Explainable AI in the Cloud"
homepage = "https://rezon.ai"
readme = "README.md"
keywords = [
    "CLI",
    "ai",
    "explainableAI",
    "rezon",
]
license = "MIT"
resolver = "1"

[[bin]]
name = "rezon"
path = "src/main.rs"

[dependencies.async-trait]
version = "0.1.68"

[dependencies.chrono]
version = "0.4.23"
features = ["serde"]

[dependencies.clap]
version = "4.1.4"
features = [
    "derive",
    "cargo",
]

[dependencies.colorful]
version = "0.2.2"

[dependencies.ctrlc]
version = "3.2.5"

[dependencies.include_dir]
version = "0.7.3"

[dependencies.kdam]
version = "0.3.0"
features = [
    "gradient",
    "template",
]

[dependencies.pgbar]
version = "0.3.1"

[dependencies.requestty]
version = "0.5.0"

[dependencies.reqwest]
version = "0.11.17"
features = [
    "json",
    "multipart",
]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.96"

[dependencies.spinach]
version = "2.1.0"

[dependencies.spinoff]
version = "0.7.0"

[dependencies.terminal-emoji]
version = "0.4.1"

[dependencies.termion]
version = "2.0.1"

[dependencies.tiny-gradient]
version = "0.1.0"

[dependencies.tokio]
version = "1.28.0"
features = ["full"]

[dependencies.toml]
version = "0.7.2"

[dependencies.tui]
version = "0.19.0"

[dependencies.uuid]
version = "1.3.1"
features = [
    "serde",
    "v4",
]
